classification
Title: hp-roman8 codec
Type: Stage:
Components: Library (Lib) Versions: Python 2.4
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: lemburg Nosy List: lemburg, leogah, mwh
Priority: normal Keywords: patch

Created on 2004-07-22 18:00 by leogah, last changed 2004-07-27 21:46 by lemburg. This issue is now closed.

Files
File name Uploaded Description Edit
hp_roman8.py leogah, 2004-07-26 18:53
Messages (6)
msg46429 - (view) Author: Richard Brodie (leogah) Date: 2004-07-22 18:00
This is a codec for hp-roman generated by munging data 
from dkuug.dk and running gencodec.py on it.  
 
 
 
msg46430 - (view) Author: Michael Hudson (mwh) (Python committer) Date: 2004-07-23 10:00
Logged In: YES 
user_id=6656

I think the copyright is a bit inaccurate :-)

Also, does this do the right thing with unassigned bytes?  I didn't 
think (eg) 0x80 represented a valid character in roman8, could be 
wrong.

Otherwise, looks ok to me...
msg46431 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2004-07-23 10:06
Logged In: YES 
user_id=38388

Richard, could you pleaes remove the copyright notices from
the file
and instead add a reference and/or explanation of where and how
you obtained the data used in the codec.

I'll fix the gencodec.py and remove the copyright notices. I
used
that script to build the initial set of codecs as part of
the CNRI
contracted work -- while the script is (c) CNRI, the output
certainly
isn't anymore.
msg46432 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2004-07-23 10:21
Logged In: YES 
user_id=38388

One more thing: please also provide a list of common aliases
for this codec. Thanks.
msg46433 - (view) Author: Richard Brodie (leogah) Date: 2004-07-26 18:53
Logged In: YES 
user_id=356893

Reference updated; renamed to hp_roman8.py 
 
Aliases: roman8 r8 csHPRoman8 
 
I hesitated with suggesting roman8 as too generic but if it's 
good enough for IANA... 
 
Michael: as far as I can tell, the only problematic ones are the 
high control characters. Whether 0x80 really corresponds to 
PAD or is unused is getting a bit esoteric for me.  
msg46434 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2004-07-27 21:46
Logged In: YES 
user_id=38388

Looks good. I'll add the codec tomorrow.

Thanks !
History
Date User Action Args
2004-07-22 18:00:47leogahcreate